#!/usr/bin/wish

# Copyright (c) 2002-2014, Botik Technologies, Ltd.
# See license.txt for more information.

#===============================================================================
#     
# 
#     
#     proc   initHelp { }
#     proc   setTitleHW { tlong tshort }
#     global help
#     
# 
#     
#     global botikkey
#     

proc setTitleHW { tlong tshort } {
   global botikkey
   wm title .wHelp $tlong
   wm iconname .wHelp $tshort
   setWindowIcon .wHelp
   return
}

proc initHelp { } {
   global help
   global botikkey

   set help(windWidth) 550
   set help(bgTextWin) azure1
   set help(bgButWin)  gray84
   set help(bgButAct)  LightSteelBlue
   set help(textBtns)  0 ; #    
   
   set help(titleLong)  "   $botikkey(name)"
   set help(titleShort) "Help::$botikkey(name)"

   set help(currentHelp) -1
   set help(N)            0
   set help(I)           -1
   set help(URLs)         0

   set help(HelpIndex) \
[subst {
"::" "Help::$botikkey(name)::Index"
{`H1`

o  `L1IT`O  $botikkey(name)`HREF`HelpAbout` `L1N`
`N`
o  `L1IT`  `HREF`HelpForHelp` `L1N`
`N`
o  `L1IT`     `HREF`HelpForMainWindow` `L1N`
`N`
o  `L1IT`    $botikkey(name)`HREF`HelpForOptions` `L1N`
`N`
o  `L1IT`   $botikkey(name)`HREF`HelpForLog` `L1N`
`N`
o  `L1IT`   $botikkey(name)`HREF`HelpDownload` `L1N`
}}]

   set help(HelpDownload) \
[subst {
"   $botikkey(name)" "Update::$botikkey(name)"
{   $botikkey(name)`H1`

   $botikkey(name)    \
`N`$botikkey(url_dload)`HREF`$botikkey(url_dload)`.`N`
`N`
. :`H2`
>  `L1IT`   ...`HREF`HelpIndex` `L1N`
}}]


set help(HelpAbout) \
[subst {
"O  $botikkey(name)" "About::$botikkey(name)"
{O  $botikkey(name)`H1`

 `N`$botikkey(name)`B`    ""    \
     .  \
   "" --   -,  \
.

    Botik Tools.

  : `N`$botikkey(url)`HREF`$botikkey(url)`.

  : `N`$botikkey(url_tools)`HREF`$botikkey(url_tools)`.

    `N`Tcl/Tk`B`      \
 .      `N`Perl`B`.

`N`  .`B`    `N` \
  `B`.   \
  ,  (   `N`$botikkey(name)`B`)  \
 PPP       .

`N` :`B`  ,      \
      , \
 ""   ,  \
 (?)     .

  $botikkey(start_date),   ($botikkey(version))\
 $botikkey(ver_date).
`N`
 `H2`
`N`
`N`    `N`$botikkey(name)`B`\
   `N`-`B` (   , `N`Key-server`B`)\
 \"$::net(name)\". ,  `N` () `B`   (  ),\
    -,     \
 .     ,  \
   \"-\". 
`N`
   :`H2`
`N`
o  `L1IT` (challenge)`L1B` -- - \
 $botikkey(name)  (\"\"),    \
   ,   `L1N` () `L1B`\
   .`L1N`
`N`
o  `L1IT` (response)`L1B` --    (\"\")  \
   `L1N` `L1B`  $botikkey(name)\
  (\"\")    -;  \
"   --   ,   ,\
       ".`L1N`
`N`
o  `L1IT`  .`L1B`     -  \
 ( ,    ),  - `L1N``L1B`,\
     " " .  - `L1N``L1B`\
    " " .`L1N`
`N`
o  `L1IT`  .`L1B`    - ,\
     (,  \
     ),  \
 --    .`L1N`
`N`
o  `L1IT`  .`L1B`\
  (challenge)  -    \
  (,  ,     \
   ,   -).   \
 `L1N`$botikkey(name)`L1B`    .`L1N`
`N`
o  `L1IT`   .`L1B`\
   ,    ,  \
 .        \
  ,        --\
.  `L1N`$botikkey(name)`L1B`    , \
     --      \
      -.  .\
 "    "   .\
 ()    () \
 : `L1N`$botikkey(url_NadminAbPswd)`HREF`$botikkey(url_NadminAbPswd)`.`L1N`
`N`
o  `L1IT`  ( )      .`L1B`\
   `L1N`$botikkey(name)`L1B`    - \
 ()    : 

      `L1N`WORLD`L1B` -- "      (\
 "$::net(name)"),   "; 

      `L1N`LOCAL`L1B` -- "     \
(  "$::net(name)") ,   "; 

      `L1N`NONE`L1B` -- "     : \
 (  "$::net(name)"),  ".`L1N`
`N`
o  `L1IT`WORLD-, LOCAL-, NONE-:   (\
)   () .`L1B`\
     () ;   \
()     () : `L1N`WORLD`L1B`,\
`L1N`LOCAL`L1B`  `L1N`NONE`L1B`.

      `L1N`WORLD-`L1B`:   ()    WORLD,\
    -   (WORLD, LOCAL \
NONE). 

      `L1N`LOCAL-`L1B`:   ()    LOCAL,\
    -   LOCAL  NONE,\
 WORLD   :    LOCAL- \
  WORLD,  -   LOCAL.\

      `L1N`NONE-`L1B`:   ()    NONE,  \
  -   NONE,  WORLD  LOCAL\
  :    LOCAL-   \
WORLD  LOCAL,  -   NONE. 

         ()  .  :\
WORLD-     (   )   \
  . LOCAL-     (),\
    ,      \
,     , ,    \
 ()      .   \
LOCAL- ,       ( \
)        NONE.`L1N`

`N` :      \
   $botikkey(name)`H2`

    `N`$botikkey(name)`B`  \
HTTP-,        \
Botik Tools.      , \
 ,      .

`N`  `H2`

`N`$botikkey(name)`B`      \
: 

`N`     `HREF`HelpForMainWindow` --\
  (: ", , ") \
,     -,     .\
   /     \
(`N`WORLD`B`, `N`LOCAL`B`  `N`NONE`B`). 

`N`   $botikkey(name)`HREF`HelpForLog` --\
  \  ,   \
,   .

`N`    $botikkey(name)`HREF`HelpForOptions`\
--      (   --\
/    ).

`N`   $botikkey(name)`HREF`HelpForHelp` -- \
     . 

      \
$botikkey(name) --     .  \
         \
 .`N`
`N`
. :`H2`
>  `L1IT`   ...`HREF`HelpIndex` `L1N`
}} ]

set help(HelpForHelp) \
[subst {
"::  " "Help::$botikkey(name)"
{  `H1`

     :
`N`
  `L1IT`  `L1B`   ;`L1N`
  `L1IT`  `L1B`   ;`L1N`
`N`
        ,   .

  ,   ,    .

`N`   `H2`
`L1N`noNormal`IMGB`   .`L2N`
`L1N`helpNormal`IMGB`  `L2N`   `HREF`HelpIndex`.`L2N`
`L1N`prevNormal`IMGB`     (   ).`L2N`
`L1N`nextNormal`IMGB`    .`L2N`
`N`
. :`H2`
>  `L1IT`   ...`HREF`HelpIndex` `L1N`
}}]

set help(HelpForMainWindow) \
[subst {
"::     " "Help::$botikkey(name)"
{     `H1`
`N`
    `N``B`,   \
,      -  .\
      ,  \
-  () :
`N`
  `L1IT`, LOCAL`L1B` --   ,   .
       `L1N`:`L1B`     "L"  , \
"LOCAL"     \
   .`L1N`
`N`
  `L1IT`, WORLD`L1B` --   ,   .
       `L1N`:`L1B`   ,  "WORLD" \
     \
 .`L1N`
`N`
  `L1IT`, NONE`L1B` --   ,   .
       `L1N`:`L1B`   ,  "NONE" \
     \
 .`L1N`
`N`
  `L1IT`  `L1B`,  , \
 : - ,   - \
      .`L1N`
`N`
         -\
 ()  (`N`WORLD`B`, `N`LOCAL`B`  `N`NONE`B`).

`N`:`B`     () \
   (  --  )  \
,  -    () \
   .  .

`N`
   $botikkey(name)`H2`

 `N``B`       \
:

`N`fig1`IMGB`

 ,      -   \
(   --    ).
`N`
     -`H2`

 ,   `N``B`    (  ),\
     ,    \
  -.

`N` `B`    : \
 ,       \
.

`N``B`:
`N`
  `L1IT` `L1N` `HREF`HelpForLog`,   \
       ?`L1N`
  `L1IT` `L1N`  `HREF`HelpForOptions`\
      .`L1N`
  `L1IT`    , ,   \
     .`L1N`
`N`
`N`    `H2`
`L1N`helpNormal`IMGB`     .`L2N`
`L1N`setupNormal`IMGB`  `L2N`   `HREF`HelpForOptions`.`L2N`
`L1N`logNormal`IMGB`  `L2N`  `HREF`HelpForLog`.`L2N`
`N`
. :`H2`
>  `L1IT`   ...`HREF`HelpIndex` `L1N`
}}]

set help(HelpForOptions) \
[subst {
"::    $botikkey(name)" "Help::$botikkey(name)"
{    $botikkey(name)`H1`
`N`
  () `H2`

 ,  ()    ()\
  : `N`$botikkey(url_NadminAbPswd)`HREF`$botikkey(url_NadminAbPswd)`.
`N`
 `H2`

      .  \
       () .

 :   ,      .
`N`
    `H2`

    :

  `N`"  "`B`  ,   \
        .\
       .

,          \
   .      \
-,    ,    \
:

   `N`"  "`B`    \
 (NONE, LOCAL, WORLD)    - \
 .

  `N`"   "`B` \
       \
  ,      :

`N`fig1`IMGB`

  `N`"   /"`B` ,\
      \
,    / (  , \
    -).

  `N`" "`B`    \
 (  0  3, : 0 --  , 3 --\
 ).

  `N`" Key-"`B`     Key-,\
   ,  IP- -  .

   `N`"   gbotikkeyd"`B`,   \
`N`" gbotikkeyd-"`B`     ,\
     gbotikkeyd.

`N`
    `H2`

  `N`""`B`      ,  \
`N`  `B`  --    `N`readPswd`IMGB`.`N`

  `N`"  "`B` ,   \
       () .\
  :

`N`
  `L1IT`"     "`L1B` --  \
        ,\
  "",     , \
    (`L1N`readPswd`IMGB`);`L1N`
`N`
  `HREF`HelpEnv``L1IT`"      "`L1B` --\
     (   ) \
 BOTIKKEY   (environment),    \
    ;`L1N`
`N`
  `L1IT`"       "`L1B` --\
  ( `L1N`yesAndWriteNormal`IMGB`)  \
         \
(   )      \
  ;`L1N`
`N`
  `L1IT`"        "`L1B`.\
  (   `L1N`fnameNormal`IMGB`)  \
    (  ).  \
  ( `L1N`yesAndWriteNormal`IMGB`)    \
    (  )    \
    .`L1N`
`N`
`N``B`   \
(`N`$botikkey(url)`HREF`$botikkey(url)`) : " \
 "  "   : \
?"`N`

 `N`"  "`B`      \
  .    :`N`
  `L1IT`  ,         ;`N`
  `L1IT`        30 .`N`
`N`
    "  ",   \
  .          \
   .   -     :\
" ", "LOCAL", "NONE".`N`
`N`
        \
     ("")   Windows.\
         ,   \
    : "" ( ), "" ( \
 )  " " (   ).`N`
`N`
     ,     \
"  ".\
          \
  .           \
$botikkey(name),      .\
        :`N`
  `L1IT`    - " ", " "  " ".`N`
  `L1IT`:  .`N`
  `L1IT`:    .`N`
  `L1IT`:  .`N`
  `L1IT`:  .`N`
  `L1IT`:      .`N`
`N`
     `H2`
`L1N`helpNormal`IMGB`     $botikkey(name)\
( ,    ).`L2N`
`L1N`yesAndWriteNormal`IMGB`     -- apply and save:
          `L1N`(1)`L1B`    \
(  /,    );
          `L1N`(2)`L1B`     \
 (     );
          `L1N`(3)`L1B`   (  ) \
-- ,      .`L1N`
`L1N`yesNormal`IMGB`   -- apply --  \
  (  /,    ).`L1N` 
`L1N`noNormal`IMGB`     \
$botikkey(name)`L1N`
`N`
. :`H2`
>  `L1IT`   ...`HREF`HelpIndex` `L1N`
}}]

set help(HelpEnv) \
[subst {
"::   BOTIKKEY" "Help::$botikkey(name)"
{   BOTIKKEY`H1`
`N`
    BOTIKKEY \
  "-->..." ("Start-->Run...")  \
`N`"setx BOTIKKEY __"`B`.     \
    Pswd2key,      BotikTools.\
`N`
   BOTIKKEY      \
`N`"set BOTIKKEY"`B`.
`N`
. :`H2`
>  `L1IT`   ...`HREF`HelpIndex` `L1N`
}}]


set help(HelpForLog) \
[subst {
"::   $botikkey(name)" "Help::$botikkey(name)"
{   $botikkey(name)`H1`
`N`
      \
$botikkey(name),    ,   \
.

      \
$botikkey(name)  -.    \
   (  0  3,  0 -- \
, 3 -- ).

         :
`N`
  `L1IT` ,  `L1B` --    \
  -;`L1N`
  `L1IT` ,  `L1B` --  " "\
(,  /   -);`L1N`
  `L1IT` ,  `L1B` --    \
  -;`L1N`
  `L1IT` ,  `L1B` --  \
  -;`L1N`
  `L1IT`- ,  `L1B` -- \
  .`L1N`
`N`
   `H2`
`L1N`helpNormal`IMGB`     $botikkey(name)\
( ,    )`L2N`
`L1N`saveNormal`IMGB`      `L2N`
`L1N`noNormal`IMGB`     $botikkey(name)`L2N`
`L1N`refreshNormal`IMGB`     $botikkey(name) -- \
  ""  .  \
, ,     \
.         \
   (  0  3, : 0 -- \
, 3 -- ).`L2N`
`N`
. :`H2`
>  `L1IT`   ...`HREF`HelpIndex` `L1N`
}}]

return

}
